APM(8)

NAME
apm, zzz, ZZZ - Advanced Power Management control program

SYNOPSIS
apm [-AabHLlmPSvZz] [-f sockname]
zzz [-SZz] [-f sockname]
ZZZ [-SZz] [-f sockname]

DESCRIPTION
apm communicates with the Advanced Power Management daemon, apmd(8), making requests of it for current power status or to place the system into a suspend or stand-by state. With no flags, apm displays the current power management state in verbose form.

The options are as follows:

-A  Switch to automatic performance adjustment mode.

-a  Display the external charger (A/C status). 0 means disconnected, 1 means connected, 2 means backup power source, and 255 means unknown.

-b  Display the battery status. 0 means high, 1 means low, 2 means critical, 3 means charging, 4 means absent, and 255 means unknown.

-f sockname
    Set the name of the socket via which to contact apmd(8) to sockname.

-H  Set hw.setperf to 100.

-L  Set hw.setperf to 0.

-l  Display the estimated battery lifetime (in percent).

-m  Display the estimated battery lifetime (in minutes).

-P  Display the performance adjustment mode. 0 means manual mode. 1 means automatic mode.

-S  Put the system into stand-by (light sleep) state.

-v  Request more verbose description of the displayed states.

-Z  Put the system into hibernation. System memory is saved to disk (swap space) and the machine is powered down.

-z  Put the system into suspend (deep sleep) state.

The zzz and ZZZ commands are shortcuts for suspending and hibernating the system, respectively. With no arguments, they are placed into their respective states. The command line flags serve the same purpose as for apm.

These commands do not wait for positive confirmation that the requested state has been entered; to do so would mean the command does not return until the system resumes from its sleep state.

FILES
/var/run/apmdev
    The default UNIX-domain socket for communicating with apmd(8). The -f flag may be used to specify an alternate socket name. The protection modes on this socket govern which users may access the APM functions.

SEE ALSO
apm(4), apmd(8)

Advanced Power Management (APM) BIOS Interface Specification (revision 1.2), Intel Corporation and Microsoft Corporation

HISTORY
The apm command appeared in NetBSD 1.3; OpenBSD support was added in OpenBSD 1.2.